Debian Bug report logs - #693819
ITP: highlight.js -- JavaScript syntax highlighting library for many languages

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Cédric Boutillier <boutil@debian.org>

Date: Tue, 20 Nov 2012 17:30:04 UTC

Owned by: "Cédric Boutillier" <boutil@debian.org>

Severity: wishlist

Fixed in version highlight.js/7.3+ds-1

Done: Cédric Boutillier <boutil@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, cedric.boutillier@gmail.com, debian-devel@lists.debian.org, wnpp@debian.org, "Cédric Boutillier" <boutil@debian.org>:
Bug#693819; Package wnpp. (Tue, 20 Nov 2012 17:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cédric Boutillier <boutil@debian.org>:
New Bug report received and forwarded. Copy sent to cedric.boutillier@gmail.com, debian-devel@lists.debian.org, wnpp@debian.org, "Cédric Boutillier" <boutil@debian.org>. (Tue, 20 Nov 2012 17:30:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <boutil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: highlight.js -- JavaScript syntax highlighting library for many languages
Date: Tue, 20 Nov 2012 18:27:04 +0100
Package: wnpp
Severity: wishlist
Owner: "Cédric Boutillier" <boutil@debian.org>

* Package name    : highlight.js
  Version         : 7.3
  Upstream Author : Ivan Sagalaev <maniac@softwaremaniacs.org>
* URL             : http://softwaremaniacs.org/soft/highlight/en/
* License         : BSD-3-clause
  Programming Lang: JavaScript
  Description     : JavaScript syntax highlighting library for many languages

Highlight.js is a JavaScript library which automatically detects the
language of code blocks in a web page, and provides syntax highlighting
for them. The library supports more than fifty languages and is bundled
with more than twenty style themes.

This package is a dependency for mdpress (#692864) and will be
maintained under the umbrella of the Debian JavaScript team.

Cheers,

Cédric



Added indication that bug 693819 blocks 692864 Request was from Cédric Boutillier <cedric.boutillier@gmail.com> to 692864-submit@bugs.debian.org. (Mon, 03 Dec 2012 14:03:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 30 May 2013 20:06:05 GMT) Full text and rfc822 format available.

Reply sent to Cédric Boutillier <boutil@debian.org>:
You have taken responsibility. (Sat, 17 Aug 2013 18:03:05 GMT) Full text and rfc822 format available.

Notification sent to Cédric Boutillier <boutil@debian.org>:
Bug acknowledged by developer. (Sat, 17 Aug 2013 18:03:05 GMT) Full text and rfc822 format available.

Message #14 received at 693819-close@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <boutil@debian.org>
To: 693819-close@bugs.debian.org
Subject: Bug#693819: fixed in highlight.js 7.3+ds-1
Date: Sat, 17 Aug 2013 18:00:06 +0000
Source: highlight.js
Source-Version: 7.3+ds-1

We believe that the bug you reported is fixed in the latest version of
highlight.js, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693819@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cédric Boutillier <boutil@debian.org> (supplier of updated highlight.js package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 30 May 2013 19:10:14 +0200
Source: highlight.js
Binary: libjs-highlight node-highlight highlight.js-doc
Architecture: source all
Version: 7.3+ds-1
Distribution: unstable
Urgency: low
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Changed-By: Cédric Boutillier <boutil@debian.org>
Description: 
 highlight.js-doc - JavaScript library for syntax highlighting - documentation
 libjs-highlight - JavaScript library for syntax highlighting
 node-highlight - JavaScript library for syntax highlighting - NodeJS
Closes: 693819
Changes: 
 highlight.js (7.3+ds-1) unstable; urgency=low
 .
   * Initial packaging (Closes: #693819)
   * Repack upstream tarball to remove embedded copy of yuicompressor.jar
Checksums-Sha1: 
 4b2a857c150703541216affc1b904240f50802ed 2232 highlight.js_7.3+ds-1.dsc
 cee686c3d44a642abd34b6f2663b5a2df926602d 125436 highlight.js_7.3+ds.orig.tar.gz
 8aff4c4f9cdba3e06287d8cda3dfd7977feda736 3672 highlight.js_7.3+ds-1.debian.tar.gz
 a23a975b8cfc598e4b39d663a8e9ada131e88f5a 87166 libjs-highlight_7.3+ds-1_all.deb
 9aac16696c32cd9ada224f98ec26d76c66072486 55294 node-highlight_7.3+ds-1_all.deb
 45a8d23198bebbf8df748e036fc8dccf67745d6c 180598 highlight.js-doc_7.3+ds-1_all.deb
Checksums-Sha256: 
 4c7a226bcfde291f3478ce359436efda7f42077fe320b4f3647b6facf35be51a 2232 highlight.js_7.3+ds-1.dsc
 814866eac8130c49c02d2eb7675bb31ddae0fa36d0729908f460c71d60336bff 125436 highlight.js_7.3+ds.orig.tar.gz
 6490796fe311dc987c9fa3e5b5c0f3160742da118fff24b11899790aa0fc4066 3672 highlight.js_7.3+ds-1.debian.tar.gz
 88ad5ecc7e85b4fa07ae441e5ca5414bdef1638df9b4736a9350be6c9e96ea86 87166 libjs-highlight_7.3+ds-1_all.deb
 fd4d7807541568de005d49e32c5caee7f637cef4ee5efd21dedca96d217ce9ef 55294 node-highlight_7.3+ds-1_all.deb
 bb8223418ff13d94a30d7fb99d602ade7f590f63986df039670f1458a0514dc2 180598 highlight.js-doc_7.3+ds-1_all.deb
Files: 
 ac5eccadbc4e9898906dd30e21790a1b 2232 web optional highlight.js_7.3+ds-1.dsc
 c9f6d396d89eab97db4b5e512e7f87ba 125436 web optional highlight.js_7.3+ds.orig.tar.gz
 7f99234dd501b18265b90ff70c549479 3672 web optional highlight.js_7.3+ds-1.debian.tar.gz
 86d464d0388ecb365a95026ea8fb5980 87166 web optional libjs-highlight_7.3+ds-1_all.deb
 5148699684479649858f70c114bf56ad 55294 web optional node-highlight_7.3+ds-1_all.deb
 fd723db4dafcf7fc246cd8ff4d724331 180598 doc optional highlight.js-doc_7.3+ds-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJSDqO6AAoJEKkHZFuPn48J3VcQAJPUQMofE4NSFH2V6UYhX4eD
yEXVGpkFanEtR6li0h7bvJsH82QD2OUMsGFZ8bQlyUMEn/mAxji/y2JJTX+5+Ga/
2Gz+ZkXtE7xOKlDOaSyg6AJBzxPjwrFMYD3VQUTXcovDD0gsX5iR0B87c1oqYEK3
bDM1d9EiB/7iwbURgbSR2NZDjooLtIla6GUqtNewUXdyjE+8YTkgSzUE9LmSM4Lf
z/RC6TR+Aq+LbvZA/43sVSjELKq+CUzILQe91rWXPjNBbpnRxrA8OU4tCsh/xV7s
WBUScixYhUUhYFO6SIv47o/hG4RqH+ppqe2+nePlq2bmIUlSL+2SbiYBBBqgBMtU
LHIL+s/cQzU7ss6Zv567chTeqv920lCc0hxTm5+8fOXPvSQz8U7KJ5/g8LFpNdmV
MMq0r8589yS3TksHi3lbXH1db3oqiAUzomxNsnpFzXnuPCGO/JDCXeG85fs3Haaw
zlGE2LqO1qLEQZujXtXTmSKfiI5cwLL24KBF0MZYzmkZ/vNAnEbHiZ6IambLe8h2
q5/eYQLioTKXo1mOSI1bcsUhxhrpssqg0zCy2E7pvo3BT0eVaVGPV11BYTFFlXfF
3NZgdfjz+3BZA4W4ftgc6fNG/40IjTzLZzGXKjtQdjD+h8QinEUYpk5N8LBwLsfs
3U8TSZYtKG4+C+ezKORs
=m39w
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 15 Sep 2013 07:28:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:33:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.